Skip to main content

Fiks "Passord kreves" Feil ved bruk av Unrar i Ubuntu

Fiks "Passord kreves" Feil ved bruk av Unrar i Ubuntu

Geoffrey Carr

Hvis du har forsøkt å bruke den innebygde "Extract Here" -funksjonen i Ubuntu's File Roller for å trekke ut enten en enkelt eller en flersidig zip- eller rar-fil og endte opp med en "Password Required" -feil, så kan du bare anta filene er passordbeskyttet når de faktisk ikke er det.

Det viser seg at denne feilmeldingen dukker opp for en av to annen grunner:

  • Filene er oppkalt feil eller det mangler en fil. Husk at Linux er bokstavsfølsomt, og alle filer i settet skal være navngitt på samme måte.
  • En av filene er skadet og må kanskje repareres ved hjelp av GPar2, hvis du har de tilsvarende PAR-filene.

Her er den irriterende feilmeldingen.

Hvis du også har de tilsvarende PAR-gjenopprettingsfilene, vil du installere GPar2 ved hjelp av Legg til / fjern programmer, eller ved å bare skrive følgende kommando i en terminalprompt:

sudo apt-get install gpar2

Da kan du bare åpne noen av .par2-filene og klikke på Reparer-knappen, som vil ta litt lang tid å fullføre, men skal tillate deg å trekke ut uten feil.

Mer informasjon om PAR- eller Parchive-filer finnes på Wikipedia, selvfølgelig:

http://en.wikipedia.org/wiki/Parchive

Link
Plus
Send
Send
Pin